class Movie:
    def __init__(self, name, region, director, actors):
        self.name = name
        self.region = region
        self.director = director
        self.actors = actors

    def __str__(self):
        return (f"电影名称: {self.name}\n"
                f"地区: {self.region}\n"
                f"导演: {self.director}\n"
                f"主演: {', '.join(self.actors)}\n")

def main():
    # 创建电影字典，存储多部电影
    movies = {
        "长津湖": Movie("长津湖", "中国", "陈凯歌 / 徐克 / 林超贤", ["吴京", "易烊千玺", "段奕宏", "朱亚文", "李晨"]),
        "我和我的父辈": Movie("我和我的父辈", "中国", "吴京 / 章子怡 / 徐峥 / 沈腾", ["吴京", "章子怡", "徐峥", "沈腾", "吴磊"]),
        "五个扑水的少年": Movie("五个扑水的少年", "中国", "宋灏霖", ["辛云来", "冯祥琨", "李孝谦", "吴俊霆", "王川"])
    }

    # 依次遍历数组中的每个电影对象，取出其信息进行展示
    for movie_name, movie in movies.items():
        print(f"电影: {movie_name}")
        print(movie)
        print("-" * 40)

if __name__ == "__main__":
    main()
    